IF NOT OBJECT_ID('TRG_EST_PROD_CPL_MEDIAP_AUDIT') IS NULL
	BEGIN 
		DROP TRIGGER TRG_EST_PROD_CPL_MEDIAP_AUDIT 
	END 
GO
GO
CREATE TRIGGER [dbo].[TRG_EST_PROD_CPL_MEDIAP_AUDIT] ON [dbo].[EST_PROD_CPL_MEDIAP] 
FOR UPDATE,DELETE
AS
IF CONTEXT_INFO() = 0x66666 
	RETURN
IF EXISTS (SELECT TOP 1 CD_EMP FROM INSERTED )
	BEGIN	 
		INSERT INTO EST_PROD_CPL_MEDIAP_AUDIT (CD_EMP,CD_FILIAL,CD_PROD,QTDE_MEDIAP, QTDE_MEDIAP_ANT,
												CD_USU, CD_USU_ANT,  DT_CAD , DT_CAD_ANT,
												DT_ULT_ALT,DT_ULT_ALT_ANT, FALTA_CRONICA, FALTA_CRONICA_ANT, DT_AUDIT)
		SELECT     
			I.CD_EMP,
			I.CD_FILIAL,
			I.CD_PROD,
			I.QTDE_MEDIAP,
			D.QTDE_MEDIAP,
			I.CD_USU,
			D.CD_USU,
			I.DT_CAD,
			D.DT_CAD,
			I.DT_ULT_ALT,
			D.DT_ULT_ALT,
			I.FALTA_CRONICA,
			D.FALTA_CRONICA,
			GETDATE() DT_AUDIT
		FROM         
			INSERTED I 
			INNER JOIN DELETED D ON 
			I.CD_EMP	= D.CD_EMP AND
			I.CD_PROD   = D.CD_PROD AND
			I.CD_FILIAL = D.CD_FILIAL
	END
ELSE
	BEGIN
	
		INSERT INTO EST_PROD_CPL_MEDIAP_AUDIT (CD_EMP,CD_FILIAL,CD_PROD,QTDE_MEDIAP, QTDE_MEDIAP_ANT,
												CD_USU, CD_USU_ANT,  DT_CAD , DT_CAD_ANT,
												DT_ULT_ALT,DT_ULT_ALT_ANT, FALTA_CRONICA, FALTA_CRONICA_ANT, DT_AUDIT)
		SELECT
			D.CD_EMP,
			D.CD_FILIAL,
			D.CD_PROD,
			0,
			D.QTDE_MEDIAP,
			0,
			D.CD_USU,
			NULL,
			D.DT_CAD,
			NULL,
			D.DT_ULT_ALT,
			0,
			D.FALTA_CRONICA,
			GETDATE() DT_AUDIT
		FROM         
			DELETED D 
	END


